package com.asus.socialnetwork.callback;

import com.asus.socialnetwork.callback.PostResponse;
import com.asus.socialnetwork.callback.UpdateResponse;
import com.asus.socialnetwork.model.SocialNetworkLocation;
import com.asus.socialnetwork.model.SocialNetworkJob;
import com.asus.socialnetwork.model.parcelable.ParcelableSocialNetworkMessage;

interface ISocialNetworkManagerCallback {
    void onSocialCB00000001(int source, String accountId, int stateCode); // void onLoginBehavior(int source, String accountId, int stateCode);
    void onSocialCB00000002(int source, String accountId, int stateCode); // void onLogoutBehavior(int source, String accountId, int stateCode);
    void onSocialCB00000003(int source, int updateListenerType, int stateCode, inout UpdateResponse updateResponse); // void onUpdateBehavior(int source, int updateListenerType, int stateCode, inout UpdateResponse updateResponse);
    void onSocialCB00000004(int source, int postListenerType, String postId, int stateCode, inout PostResponse postResponse); // void onPostBehavior(int source, int postListenerType, String postId, int stateCode, inout PostResponse postResponse);
    void onSocialCB00000005(int source, int idType, String id, int booleanListenerType, int stateCode, boolean tfValue); // void onBooleanBehavior(int source, int idType, String id, int booleanListenerType, int stateCode, boolean tfValue);
    void onSocialCB00000006(int source, int stateCode, double sourceLatitude, double sourceLongitude, in List<SocialNetworkLocation> locationList); // void onNearPlaceBehavior(int source, int stateCode, double sourceLatitude, double sourceLongitude, in List<SocialNetworkLocation> locationList);
    void onSocialCB00000007(int source, int stateCode, in List<SocialNetworkJob> jobList); // void onJobsUpdateBehavior(int source, int stateCode, in List<SocialNetworkJob> jobList);
    void onSocialCB00000008(int source, int stateCode, String postId); // void onCheckinBehavior(int source, int stateCode, String postId);
    void onSocialCB00000009(int source, int commitAddListenerType, int stateCode); // void onCommentAddBehavior(int source, int commitAddListenerType, int stateCode);
    void onSocialCB00000010(int source, int updateListenerType, in List<ParcelableSocialNetworkMessage> pMessageList, int stateCode); // void onTimeLineUpdateBehavior(int source, int updateListenerType, in List<ParcelableSocialNetworkMessage> pMessageList, int stateCode);
    void onSocialCB00000011(boolean isSuccess, int imageType, String url); // void onImageDownloadedBehavior(boolean isSuccess, int imageType, String url);
}